Skip to main content
POST
/
organization
/
{external_id}
Create or update an organization
curl --request POST \
  --url https://thalamus.nerds.nl/api/v1/organization/{external_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Corp",
  "email": "info@acme.com",
  "phone": "+31201234567",
  "address": "Herengracht 200",
  "zip": "1016 BS",
  "city": "Amsterdam",
  "country": "NL",
  "comment": "<string>",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
'
{
  "success": true,
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)

Path Parameters

external_id
string
required

External organization ID

Example:

"ORG-5001"

Body

application/json
name
string | null
Example:

"Acme Corp"

email
string | null
Example:

"info@acme.com"

phone
string | null
Example:

"+31201234567"

address
string | null
Example:

"Herengracht 200"

zip
string | null
Example:

"1016 BS"

city
string | null
Example:

"Amsterdam"

country
string | null
Example:

"NL"

comment
string | null
status
string
default:active
Example:

"active"

created_at
string<date-time> | null
updated_at
string<date-time> | null

Response

Organization updated

success
boolean
Example:

true

data
object
message
string